//! `SeaORM` Entity. Generated by sea-orm-codegen 0.11.3

use sea_orm::entity::prelude::*;

#[derive(Clone, Debug, PartialEq, DeriveEntityModel, Eq)]
#[sea_orm(table_name = "event")]
pub struct Model {
    #[sea_orm(primary_key, auto_increment = false)]
    pub id: Uuid,
    pub created_at: DateTime,
    pub occurred_at: DateTime,
    pub object_ids: Vec<Uuid>,
    pub event_type: String,
    pub event_version: String,
    pub event_kind: String,
    pub event_source_id: Uuid,
    pub event_source_type: String,
    pub event_reference: Vec<Uuid>,
    pub event_data: Json,
}

#[derive(Copy, Clone, Debug, EnumIter, DeriveRelation)]
pub enum Relation {}

impl ActiveModelBehavior for ActiveModel {}
